package org.jvnet.hifaces.util;

import javax.faces.el.ValueBinding;

import org.jvnet.hifaces.function.Function1;
import org.jvnet.hifaces.function.impl.ValueBindingFunction;
import org.jvnet.hifaces.text.Text;

public class JsUtils {

	private JsUtils() {

	}

	public static ValueBinding createConfirmScript(String messageId) {
		return createConfirmScript(new Text(messageId));
	}

	public static ValueBinding createConfirmScript(ValueBinding vb) {
		return new ConfirmText().compose(new ValueBindingFunction(vb))
				.asValueBinding();
	}

	private static class ConfirmText extends Function1<String, String> {

		private static final long serialVersionUID = 1L;

		public ConfirmText() {
			super(String.class);
		}

		@Override
		public String call(String confirm) throws Exception {
			return "return confirm('" + confirm + "');";
		}

	}

}
