package org.jvnet.hifaces.util;

import javax.faces.component.UIParameter;
import javax.faces.component.html.HtmlOutputFormat;
import javax.faces.el.ValueBinding;

import org.jvnet.hifaces.text.Text;

public class OutputUtils {

	public static HtmlOutputFormat createOutputFormat(String messageId,
			String... variableNames) {

		return createOutputFormat(messageId, VariableUtils
				.createValueBinding(variableNames));
	}

	public static HtmlOutputFormat createOutputFormat(String messageId,
			ValueBinding[] paramValueBidnings) {
		final ValueBinding valueBinding = new Text(messageId);
		return createOutputFormat(valueBinding, paramValueBidnings);
	}

	public static HtmlOutputFormat createOutputFormat(
			ValueBinding valueBinding, ValueBinding[] paramValueBidnings) {
		final HtmlOutputFormat outputFormat = new HtmlOutputFormat();
		IdUtils.assignId(outputFormat);
		outputFormat.setValueBinding("value", valueBinding);
		for (int index = 0; index < paramValueBidnings.length; index++) {
			final ValueBinding paramValueBinding = paramValueBidnings[index];
			final UIParameter parameter = new UIParameter();
			IdUtils.assignId(parameter);
			parameter.setValueBinding("value", paramValueBinding);
			outputFormat.getChildren().add(parameter);
		}
		return outputFormat;
	}

}
